Bug 230068 - radeon driver broken on X300SE in RHEL-5-beta2
radeon driver broken on X300SE in RHEL-5-beta2
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2007-02-26 08:54 EST by Pete Matthews
Modified: 2012-03-09 17:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-09 17:32:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete Matthews 2007-02-26 08:54:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
radeon driver works fine for me on X300 or X300SE in RHEL-4.  I've been using an old X300 for a couple of years.  We don't do anything fancy - all we want to do is get stable performance and 1600x1200 on our Dell flat panels, which the vesa driver won't do.  (We had been using nVIDIA cards with the proprietary driver, a maintenance problem when a new kernel is installed.)

Unable to install RHEL-5-beta2 on Dell Optiplex 740 with X300SE, radeon driver is broken.  This should be really easy to reproduce, if you have a board, about $65 from CDW.  Just do an install & reboot.  It seems unlikely that this problem is specific to this make of computer.

The X300SE is now our standard board, because it works fine for us in RHEL-4.  We will not be using RHEL-5 until it works with the X300SE.


06-FEB-2007 15:08:53 	Peter Matthews
Would you please submit this bug against RHEL-5 beta 2, or tell me how to do so?
Summary: Fatal bug in "radeon" driver for RHEL-5 Beta 2
Dell Optiplex 740 system which has:
- nForce 430 chipset and AMD Athlon 64 X2 CPU
- integrated nVIDIA Quadro NVS 210S graphics
- integrated Sigmatel 9200 HAD Codec audio
I installed a Diamond ATI Radeon X300SEHM256SB graphics card into the system.  RHEL-4 U4 installs and runs perfectly, at 1600x1200 on my Dell 2001FP (Digital) display, "out of the box".  No special configurations needed.  (But sound does not work - see earlier ticket.)
When I try to install RHEL-5 beta2 (downloaded 2/5/2007), the install proceeds as expected, until the first reboot.  Then the boot halts with a kernel panic.  The video driver selected by the installer was correct:  "radeon".
If I remove the X300 board, and configure the onboard graphics with the "nv" or "vesa" driver, the system boots correctly (but at only 1280x1024, which is not acceptable).
So, the problem seems to be specific to the RHEL-5 beta2 "radeon" driver and kernel.  Due to the nature of the bug, I cannot send a sysreport with the X300 card installed. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install X300SE card into a computer
2. install RHEL-5-beta2
3. reboot - kernel panic

Actual Results:

Expected Results:

Additional info:
Comment 1 Adam Jackson 2007-02-26 13:30:44 EST
Can you boot the X300 card into runlevel 3?  (Append the number 3 to the end of
the grub command line)

If not, what is the text of the kernel panic?  You may want to set up serial
console or netdump to capture this.
Comment 2 Pete Matthews 2007-02-26 16:16:01 EST
I had been testing the system with the on-board graphics.  I inserted the X300 
card, and tried to boot into single user mode:

Enabling IO-APIC IRQs
.. TIMER: vector-0x31 apic1=0 pin1=0 apic2=-1 pin2=1
.. MP-BIOS bug: 8254 timer not connected to IO-APIC
... trying to set up timer (IRQ0) through the 8259A... failed
... trying to set up timer as virtual wire IRQ... failed
... trying to set up timer as ExtIN IRQ... failed :(
Kernel panic - not syncing: IO-APIC + timer doesn't work!  Boot with apic=debug
and send a report.  Then try booting with the 'noapic' option.

so, I rebooted with "apic=debug 1".  No panic this time!  I changed xorg.conf 
to use the radeon driver, and startx brought GNOME right up.  I'm not sure what 
this is all about.

Thanks for looking into this - Pete
Comment 3 Pete Matthews 2007-02-26 16:20:24 EST
I rebooted, appended "3" to boot options, system came right up.  Logged in as 
root, startx brought up GNOME.  I'm going to try the card in an older system - 
maybe this is a problem related to the nforce mobo in the 740.  This might take 
a while.

- Pete
Comment 4 Pete Matthews 2007-02-26 16:59:11 EST
I tripped over this "suspend" feature, while looking to shut down the system.  
This was an immediate "off".  When I powered on the system, it emitted a whine, 
until I cycled power again.  Thereafter, the kernel panic was repeated, init 1 
or 3.  I did not specify an apic option.  

I now have the board in a Dell Optiplex GX280, and am installing RHEL-5-beta2.
Comment 5 Pete Matthews 2007-02-27 09:15:42 EST
The install works just fine with the X300SE board in the GX280.  Graphics runs 
fine after the install, 1600x1200.  So the problem seems to be specific to the 
Dell Optiplex 740, the nVIDIA/AMD platform.

In the process of running my usual configurations on the GX280, I found many 
other issues:  cdrecord, ldapsearch, our Tivoli backup software, and Matlab are 
all non-functional.  Some of this may be that the "Everything" option is 
missing from the installer.

In this context, I suspect you won't want to spend time on this one platform.  
And if you did, the better investment would probably be to make the "nv" driver 
work properly with the on-board video.  

(The on-board video works with "vesa", default 800x600, max 1280x1024.  I was 
just now able to configure X on RHEL-5-beta2 to use the "nv" driver on the 
Optiplex 740, but again limited to 1280x1024.  The nvidia proprietary driver 
does work at 1600x1200 on RHEL-4.  Updating the kernel on such a system would 
probably continue to be a cumbersome process.)

I'm not sure how you want to proceed.  Let me know soon, if I can provide more 
information.  The Windows testers may want the 740 back soon.
Comment 6 Adam Jackson 2007-02-27 09:58:50 EST
Okay, so why does nv not work with the on-board video?
Comment 7 Pete Matthews 2007-02-27 11:31:21 EST
Well, I just switched /etc/X11/xorg.conf from vesa to nv.  X starts fine, but 
the mouse pointer is not visible.  I can use the mouse effectively, if I can 
figure out where the pointer is.  The main problem is that the resolution is 
limited to 1280x1024.  But I've seen this one before, can't remember the 
context.  Off to a meeting.
Comment 8 Matěj Cepl 2007-11-09 10:05:07 EST
Reporter, could you reproduce this bug with the released version of the software
and with the all currently available updates, please?
Comment 9 Pete Matthews 2007-11-09 14:19:23 EST
I'll be testing with the new RHEL-5.1 Client.  However, I do not have update 
capability for RHEL-5 yet - my main task now is reinstalling my Proxy Server to 
support RHEL-5.  This system is too critical for me, to take a chance on 
upgrading the existing proxy server.

The test system will be a Dell Optiplex 740 with (A) Diamond X300SE board and 
radeon driver, (B) on-board graphics with nv driver, and (C) Asus N6200TC board 
and nv graphics.  Might as well be complete.  No OS reinstall between tests.

X300 boards are getting harder to find - I'll be doing this testing with my 
last Diamond board; I have a VisionTek coming in.  For substantial detail, 
follow the thread at http://forums.linuxhardware.org/viewtopic.php?p=45#45.
Comment 10 Pete Matthews 2007-11-09 15:00:33 EST
Tests with RHEL-5.1 (everything laboriously picked out & installed) and DVI 
(cases A/C/D) to Dell 2001FP display on Dell Optiplex 740:

(A) With Diamond X300SE and radeon driver, system came right up in 1600x1200.  
Seems fine.  Thanks!
(B) With on-board graphics (D-sub) and nv driver, system came up in 800x600 
with no mouse pointer.
(C) With Asus N6200TC and nv driver, system came up in 1280x1024: insufficient, 
but working.
(D) With Dell Radeon X1300 and radeon driver, X would not start.  Started 
1280x1024 with vesa driver.

Support for the X1300 would be great - that's what ships with our Optiplexes, 
and I have dozens that I've removed, in boxes.  But that's another issue.
Comment 11 Adam Jackson 2012-03-09 17:32:24 EST
Probably working in RHEL6, but not going to be fixed in RHEL5 at any rate.

Note You need to log in before you can comment on or make changes to this bug.